package
{
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	
	import mx.core.Application;
	
	[Bindable] public class Game
	{
		public var pot:int = 0;
		public var blind:int = 10;
		public var tip:String = "";
		public var id:String;
		
public static var TIMERTIMEOUT:int = 15;
public var cardsToBeChanged:Array = new Array();
public var phase:int = 0;
public var timerValue:int = TIMERTIMEOUT;
private var timer:Timer = new Timer(1000, timerValue);
private var functionEndGlobal:*;




public static  var ROYAL_FLUSH:int = 15;
public static  var STRAIGHT_FLUSH:int = 14;
public static  var FOUR_KIND:int = 13;
public static  var FULL_HOUSE:int = 12;
public static  var FLUSH:int = 11;
public static  var STRAIGHT:int = 10;
public static  var THREE_KIND:int = 9;
public static  var TWO_PAIR:int = 8;
public static  var ONE_PAIR:int = 7;
public static  var OTHER:int = 6;

		
public static var GAME_PHASE_INIT:int = 0;
public static var GAME_PHASE_INIT_PLAYER1:int = 1;
public static var GAME_PHASE_INIT_PLAYER2:int = 2;

public static var GAME_PHASE_BLINDBET_PLAYER1:int = 3;
public static var GAME_PHASE_BLINDBET_PLAYER2:int = 4;

public static var GAME_PHASE_BET_PLAYER1:int = 5;
public static var GAME_PHASE_BET_PLAYER2:int = 6;

public static var GAME_PHASE_CHANGECARDS_PLAYER1:int = 7;
public static var GAME_PHASE_CHANGECARDS_PLAYER2:int = 8;

public static var GAME_PHASE_BET2_PLAYER1:int = 9;
public static var GAME_PHASE_BET2_PLAYER2:int = 10;

public static var GAME_PHASE_SHOWOFF_PLAYER1:int = 11;
public static var GAME_PHASE_SHOWOFF_PLAYER2:int = 12;

public static var GAME_PHASE_OVER:int = 13;







public var canMoveCoin:Boolean = false;

		public function Game() {
			this.phase = GAME_PHASE_INIT;
			this.cardsToBeChanged = new Array();
			this.timerValue = TIMERTIMEOUT;
			this.blind = 10;
			this.pot = 0;
			this.canMoveCoin = false;
			this.tip = Application.application.res.initBid +" "+20;
			timer.addEventListener(TimerEvent.TIMER , timerDecriment);
		}
	
		
		public function displayCardsToBeChanged():String {
			cardsToBeChanged.sort();
			return (cardsToBeChanged.toString());
		}
		private function timerDecriment(e:TimerEvent):void {
			if (timerValue == 0) return;
			timerValue--;
		}
		public function stopTimer():void {
			timer.reset();
			timer.stop();
			if (functionEndGlobal!=null) timer.removeEventListener(TimerEvent.TIMER_COMPLETE, functionEndGlobal);
			
		}
		public function startTimer(functionEnd:*):void {
			timer.stop();
			timer.reset();
			timerValue = TIMERTIMEOUT;
			if (functionEnd!=null) {
				timer.addEventListener(TimerEvent.TIMER_COMPLETE , functionEnd);
				functionEndGlobal = functionEnd;
			} 	else {
				if (functionEndGlobal!=null) timer.removeEventListener(TimerEvent.TIMER_COMPLETE , functionEndGlobal);
			}
			timer.start();
		}
			
				
		

	}
}