package
{
	import mx.collections.ArrayCollection;
	import mx.utils.UIDUtil;
	
	[Bindable] public class User
	{
		public var username:String;
		public var description:String;
		public var IP:String;
		
		public var id:int;
		public var idStratus:String="0";
		public var sex:String="m";
		public var online:Boolean=true;
		public var connected:Boolean = false;
		public var connectedWithSomeOne:Boolean = false;
		public var connectedWith:String;
		public var numberConnected:int = 0;
		public var displayName:String; 
		public var country:String;
		public var countrycode:String;
		public var region:String;
		public var city:String;
		public var lat:String="";
		public var lon:String="";
		public var lastAccess:String;
		public var showCity:Boolean = true;
		public var showCountry:Boolean = false;
		public var zoom:int = 8;
		public var doNotDisturb:Boolean = false;
		public var selectedDisplayName:String="";
		public var angle:int = 3*360;
		public var angleTest:int = 0;
		public var coins:int = 1000; 
		public var hasPhoto:Boolean = false;
		public var selectedImageNumber:int;
		public var blocked:ArrayCollection = new ArrayCollection();
		public var friends:ArrayCollection = new ArrayCollection();
		public var room:String = "lobby";
		public var red5Connected:Boolean = false;
		public var muteSounds:Boolean = false;
		public var showMessages:Boolean = true;
		public var isDealer:Boolean = true;
		public var card1:Card;
		public var card2:Card;
		public var card3:Card;
		public var card4:Card;
		public var card5:Card;
		
		public var photo:String;
		public var coinsRaised:int = 0;
		public var coinsToBeRaised:int = 0;
		public var hasWon:Boolean = false;
		public var hasPlayed:Boolean = false;
		
		/*public var pot:int = 0;	
		public var timeOut:int = 10;
		public var tip:String = "";*/
		

		public function displayCards():String {
			return (card1 + " "+card2+" "+card3+" "+card4+" "+card5);
		}		
		public function User(){
			
			//this.username = "guest_"+Math.ceil(Math.random()*10000);
			this.username = UIDUtil.createUID();
			this.connectedWith = "";
			this.connectedWithSomeOne = false;
			this.photo = "upload/"+this.username+".jpg";

			
		}

	}
}